Package org.opensaml.saml.metadata.resolver.impl

# Class AbstractDynamicMetadataResolver.DefaultCacheKeyGenerator

java.lang.Object
org.opensaml.saml.metadata.resolver.impl.AbstractDynamicMetadataResolver.DefaultCacheKeyGenerator

All Implemented Interfaces:
  `Function<EntityDescriptor,String>`

Enclosing class:
  AbstractDynamicMetadataResolver

public static class AbstractDynamicMetadataResolver.DefaultCacheKeyGenerator extends Object implements Function<EntityDescriptor,String>
Default function for generating a cache key for loading and saving an `EntityDescriptor` using a `XMLObjectLoadSaveManager`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StringDigester`
`digester`
String digester for the EntityDescriptor's entityID.

## Constructor Summary

Constructors
Constructor
Description
`DefaultCacheKeyGenerator()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(EntityDescriptor input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### digester

private StringDigester digester
String digester for the EntityDescriptor's entityID.

## Constructor Details

### DefaultCacheKeyGenerator

public DefaultCacheKeyGenerator()
Constructor.

## Method Details

### apply

public String apply(EntityDescriptor input)

Specified by:
  `apply` in interface `Function<EntityDescriptor,String>`